Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.orbportability.oa.core
Class OA

    java.lang.Object
      com.arjuna.orbportability.oa.core.OA

public class OA
extends java.lang.Object

An instance of this class provides access to the ORB specific Object Adapter class.

Since:
  JTS 2.1.
Version:
  $Id: OA.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark@arjuna.com)

Constructor Summary
`OA(ORB theORB)`

Method Summary
`void` | `createPOA(java.lang.String adapterName, org.omg.CORBA.Policy[] policies)`
`void` | `destroyPOA(java.lang.String adapterName)`
`void` | `destroyRootPOA()`
`void` | `init()`
`boolean` | `initialised()`
`org.omg.PortableServer.POA` | `poa(java.lang.String adapterName)`
`void` | `poa(java.lang.String adapterName, org.omg.PortableServer.POA thePOA)`
`org.omg.PortableServer.POA` | `rootPoa()`
`void` | `rootPoa(org.omg.PortableServer.POA thePOA)`
`void` | `run()`
`void` | `run(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OA

    public OA(ORB theORB)

Method Detail

### initialised

    public boolean initialised()

### init

    public void init()
              throws org.omg.CORBA.ORBPackage.InvalidName,
                     org.omg.PortableServer.POAManagerPackage.AdapterInactive,
                     org.omg.CORBA.SystemException

  Throws:
    `org.omg.CORBA.ORBPackage.InvalidName`
    `org.omg.PortableServer.POAManagerPackage.AdapterInactive`
    `org.omg.CORBA.SystemException`

### createPOA

    public void createPOA(java.lang.String adapterName,
                          org.omg.CORBA.Policy[] policies)
                   throws org.omg.PortableServer.POAPackage.AdapterAlreadyExists,
                          org.omg.PortableServer.POAPackage.InvalidPolicy,
                          org.omg.PortableServer.POAManagerPackage.AdapterInactive,
                          org.omg.CORBA.SystemException

  Throws:
    `org.omg.PortableServer.POAPackage.AdapterAlreadyExists`
    `org.omg.PortableServer.POAPackage.InvalidPolicy`
    `org.omg.PortableServer.POAManagerPackage.AdapterInactive`
    `org.omg.CORBA.SystemException`

### destroyRootPOA

    public void destroyRootPOA()
                        throws org.omg.CORBA.SystemException

  Throws:
    `org.omg.CORBA.SystemException`

### destroyPOA

    public void destroyPOA(java.lang.String adapterName)
                    throws org.omg.CORBA.SystemException

  Throws:
    `org.omg.CORBA.SystemException`

### rootPoa

    public org.omg.PortableServer.POA rootPoa()
                                       throws org.omg.CORBA.SystemException

  Throws:
    `org.omg.CORBA.SystemException`

### rootPoa

    public void rootPoa(org.omg.PortableServer.POA thePOA)
                 throws org.omg.CORBA.SystemException

  Throws:
    `org.omg.CORBA.SystemException`

### poa

    public org.omg.PortableServer.POA poa(java.lang.String adapterName)
                                   throws org.omg.CORBA.SystemException

  Throws:
    `org.omg.CORBA.SystemException`

### poa

    public void poa(java.lang.String adapterName,
                    org.omg.PortableServer.POA thePOA)
             throws org.omg.CORBA.SystemException

  Throws:
    `org.omg.CORBA.SystemException`

### run

    public void run(java.lang.String name)
             throws org.omg.CORBA.SystemException

  Throws:
    `org.omg.CORBA.SystemException`

### run

    public void run()
             throws org.omg.CORBA.SystemException

  Throws:
    `org.omg.CORBA.SystemException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD